Page 49 of 51

Re: Rooting Toon (or boxx)

PostPosted: Tue Dec 31, 2019 12:49 pm
by Knulen
Templar wrote:
Knulen wrote:If I buy a Toon 1 (QB2), do I have to look for a certain hardware and/or software version? Or are all Toon 1's rootable?


- All Toon 1's are rootable, newer ones only with a Raspberry Pi/JTAG.

I was planning to use a Raspberry Pi anyway because I already have one here, so I think that won't be a problem
- Check for meteradapters if you want "Zon op Toon" and/or have a newer model smart meter with DSMR 5.x. You'll need the "2 flame" version.

Code: Select all
meter adapter     Firmware
PN:               Z-wave/LPC *)

6500-1100-3301    14/21
6500-1100-3302
6500-1100-3303

6500-1102-0400    35/37
6500-1102-0401

6500-1200-4700    25/31

6500-1200-47xx    35/39
6500-1300-7200

6500-1400-4900    36/43

6500-1400-6000    0.15/0.11

How can I check what DSMR my smart meter has? I have the XS210 ESMR5 / BK-G4 ETeB

Re: Rooting Toon (or boxx)

PostPosted: Tue Dec 31, 2019 1:52 pm
by Kjors
i have a problem installing dropbear. Using the package form this site.

It installed first dropbear, libc6 and then trys to get something from
http://feed.hae.int/feeds/qb2/oe/angeli ... armv5e.ipk.

It trows an error. The toon is not connected to internet.

Collected errors:
* opkg_download: Failed to download http://feed.hae.int/feeds/qb2/oe/angeli ... armv5e.ipk: Couldn't connect to server.
* opkg_install_pkg: Failed to download libc6. Perhaps you need to run 'opkg update'?
* opkg_install_cmd: Cannot install package dropbear.

What is going on? did i use the correct package?
https://domoticaforum.eu/download/file.php?id=2987

Thanks!

Toon SW: bootloader -R8 an FW 3.6.3

Re: Rooting Toon (or boxx)

PostPosted: Tue Dec 31, 2019 4:22 pm
by TheHogNL
Kjors wrote:i have a problem installing dropbear. Using the package form this site.

It installed first dropbear, libc6 and then trys to get something from
http://feed.hae.int/feeds/qb2/oe/angeli ... armv5e.ipk.

It trows an error. The toon is not connected to internet.

Collected errors:
* opkg_download: Failed to download http://feed.hae.int/feeds/qb2/oe/angeli ... armv5e.ipk: Couldn't connect to server.
* opkg_install_pkg: Failed to download libc6. Perhaps you need to run 'opkg update'?
* opkg_install_cmd: Cannot install package dropbear.

What is going on? did i use the correct package?
https://domoticaforum.eu/download/file.php?id=2987

Thanks!

Toon SW: bootloader -R8 an FW 3.6.3


Which rooting guide are you following? Also, my guess is that your toon has already downloaded a fw5 version but didn't install it yet. First install the update and then root the toon.

Re: Rooting Toon (or boxx)

PostPosted: Tue Dec 31, 2019 5:15 pm
by Templar
Knulen wrote:How can I check what DSMR my smart meter has? I have the XS210 ESMR5 / BK-G4 ETeB


I Googled a bit:
Your meter is communicates according to the “Enexis Smart Meter Requirements” (ESMR5). But it looks like it is DSMR 5.x compatible.

More info here: http://domoticx.com/p1-poort-slimme-meter-hardware/

Re: Rooting Toon (or boxx)

PostPosted: Tue Dec 31, 2019 5:19 pm
by Templar
TheHogNL wrote:
Which rooting guide are you following? Also, my guess is that your toon has already downloaded a fw5 version but didn't install it yet. First install the update and then root the toon.

Am I right that Toon always updates it's firmware nowadays? Even when you do not have a Toon subscription?

Re: Rooting Toon (or boxx)

PostPosted: Tue Dec 31, 2019 8:53 pm
by TheHogNL
Templar wrote:
TheHogNL wrote:
Which rooting guide are you following? Also, my guess is that your toon has already downloaded a fw5 version but didn't install it yet. First install the update and then root the toon.

Am I right that Toon always updates it's firmware nowadays? Even when you do not have a Toon subscription?


That was always the case. Non-subscription toons will only be the last to receive the updates (sometimes 6 months later).

Re: Rooting Toon (or boxx)

PostPosted: Thu Jan 02, 2020 12:02 pm
by Kjors
TheHogNL wrote:
Which rooting guide are you following? Also, my guess is that your toon has already downloaded a fw5 version but didn't install it yet. First install the update and then root the toon.


Fw5 could be downloaded. Just bought it, it had messages with update to be installed. Ignored them, rooting below 4.9 looked easier.
The manuals for inspiration, manual guide from this forum, I guess fw 3.6.3 had an older version of libc6, its probably 2015 FW,
I already disabled the opvpn tunnel. That maybe the reason the download Fails

I will re-enable the vpn, assemble Toon to install the latest update. Then root again and using the shell to install dropbear.
I already placed the dropbear at the root fileshare

Questions:
    Is it advised to update/install busybox? with dropbear available
    Can i leave the root enabeld, with password?

Re: Rooting Toon (or boxx)

PostPosted: Thu Jan 02, 2020 12:56 pm
by TheHogNL
I always advise not to change busybox (unless if you know what you are doing).

Re: Rooting Toon (or boxx)

PostPosted: Thu Jan 02, 2020 8:12 pm
by smaus
hello,

i try to root mij toom but gat this error.

INFO:rooter:Starting openocd
INFO:rooter:Waiting for 10 seconds
ERROR:rooter:
Traceback (most recent call last):
File "./rooter.py", line 211, in start_bootloader
client = telnetlib.Telnet('localhost', 4444)
File "/usr/lib/python2.7/telnetlib.py", line 211, in __init__
self.open(host, port, timeout)
File "/usr/lib/python2.7/telnetlib.py", line 227, in open
self.sock = socket.create_connection((host, port), timeout)
File "/usr/lib/python2.7/socket.py", line 575, in create_connection
raise err
error: [Errno 111] Connection refused
CRITICAL:__main__:[Errno 3] No such process

can someone help me.

Re: Rooting Toon (or boxx)

PostPosted: Fri Jan 03, 2020 2:24 pm
by TheHogNL
smaus wrote:can someone help me.


Did you follow the readme of the toonrooter properly? You are missing openocd.

Re: Rooting Toon (or boxx)

PostPosted: Fri Jan 03, 2020 2:59 pm
by smaus
i found it, i was not using the correct openocd.

thanks

Re: Rooting Toon (or boxx)

PostPosted: Sun Jan 05, 2020 4:30 pm
by Kjors
Another question,

Rooting the toon FW version 5+ and installing busybox from a http link, are the files restructured? Are those 2 files the same?

Manual says : http://files.domoticaforum.eu/uploads/T ... r4_qb2.ipk
Found: http://files.domoticaforum.eu/uploads/T ... r4_qb2.ipk

thanks

Re: Rooting Toon (or boxx)

PostPosted: Sun Jan 05, 2020 6:26 pm
by TheHogNL
I prefer not to install busybox. You don't need it. And installing it wrong can brick your toon.

Re: Rooting Toon (or boxx)

PostPosted: Sun Jan 05, 2020 10:31 pm
by smaus
i rooted my toon but i have this,

mv: can't rename '/qmf/qml/resources-static-ebl.rcc': No such file or directory

any one nows wat this means.

Re: Rooting Toon (or boxx)

PostPosted: Sun Jan 05, 2020 10:49 pm
by TheHogNL
smaus wrote:i rooted my toon but i have this,

mv: can't rename '/qmf/qml/resources-static-ebl.rcc': No such file or directory

any one nows wat this means.


That is the resource file for Boxx (belgian toon's). And it is missing from your Toon. No worries, next update it will be there again. But you probably don't need it unless you have a Boxx